#!/usr/bin/env ruby
#
# reads from standard input, and extracts columns from tab separated
# lines. Column numbers start with 0
#
# ./tabcolget.rb 1 0
#     -> extracts first two columns and inverts their order.
#
# Copyright (C) 2004 Hideo Bannai (bannai@ims.u-tokyo.ac.jp)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

STDIN.each {|l|
  l.chomp!
  arry = l.split("\t")
  cnt = 0
  ARGV.each { |col|
    col = col.to_i
    if cnt > 0 then print "\t" end
    if col < arry.size then
      print arry[col]
    end
    cnt += 1
  }
  puts
}

