/*
  Copyright (C) 2004 Hideo Bannai (bannai@ims.u-tokyo.ac.jp)
  
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
*/

#ifndef __SCORES_H__
#define __SCORES_H__

#include <cstddef>

class Scores {
 public:
  static double ranksumtest(std::size_t n1,
			    std::size_t n2,
			    double ranksum1,
			    double variance_correction = 0);
};

#endif//__SCORES_H__
